%define ocamlpck  flac

Name:          ocaml-flac
Version:       0.3.0
Release:       1mamba
Summary:       OCaml bindings to libFLAC
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-flac
Source:        https://github.com/savonet/ocaml-flac.git/v%{version}/ocaml-flac-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libflac-devel
BuildRequires: libogg-devel
BuildRequires: ocaml
BuildRequires: ocaml-ogg-devel
## AUTOBUILDREQ-END
BuildRequires: dune
BuildRequires: ocaml-ogg-devel

%description
This package contains an OCaml interface for the Free Lossless Audio Codec otherwise known as FLAC.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_lib}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README.md
%doc examples/

%changelog
* Sun Jan 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Fri Feb 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- update to 0.2.0

* Wed Jun 26 2013 openmamba WebBuild System <webbuild@openmamba.org> 0.1.1-1mamba
- package created by davide using the webbuild interface
